#!/bin/bash

# 检查是否提供了两个参数
if [ "$#" -ne 2 ]; then
    echo "用法: $0 n1 n2"
    echo "此脚本输出从n1到n2（包含）的所有数字。"
    exit 1
fi

n1=$1
n2=$2

# 检查n1和n2是否为整数
if ! [[ "$n1" =~ ^[0-9]+$ ]] || ! [[ "$n2" =~ ^[0-9]+$ ]]; then
    echo "错误：n1和n2都必须是正整数。"
    exit 1
fi

# 确保n1不大于n2
if [ "$n1" -gt "$n2" ]; then
    echo "错误：n1必须小于或等于n2。"
    exit 1
fi

# 输出从n1到n2的数字
for (( i=$n1; i<=$n2; i++ ))
do
    echo $i
    sleep 1
done

exit 0